# This is an alias to cause 'cd .snapshot' to create a
# .snapshot directory and populate it with snapshot links similar
# to the way .snapshot works on Network Appliance Filers.
#
# This is for csh and tcsh.
# It does not work for Bourne shells.
#
# To use this file source it into the shell with the 'source' command.

# Change REGFILE if, for example, this host's snapshots are all made
# as the superuser and so root's registration file should be used.

set REGFILE = $HOME/.snap_registrations

alias cd set _d = \!\* \; cd-gohome \|\| cd-snapsubview \|\| cd-justcd
alias cd-gohome test -z \"\$_d\" \&\& chdir
alias cd-snapsubview test \"\`basename -- \$_d\`\" = .snapshot \&\& snap-subview --reg=$REGFILE \$_d \`dirname \$_d\` \&\& chdir \$_d
alias cd-justcd chdir \$_d
